﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Mogre;

namespace TppGame
{
    public abstract class GameObject
    {        
        public abstract void Update();
        public abstract Vector3 Position
        {
            get;
            set;
        }

        public abstract Quaternion Orientation
        {
            get;
            set;
        }

        public virtual void Destroy()
        {
            Exists = false;
        }
        public bool Exists = true;
    }
}
